Aurora MySQL 数据库引擎更新 2019-11-25(版本 2.07.0) - Amazon Aurora
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

Aurora MySQL 数据库引擎更新 2019-11-25(版本 2.07.0)

版本:2.07.0

Aurora MySQL 2.07.0 已正式发布。Aurora MySQL 2.x 版与 MySQL 5.7 兼容,Aurora MySQL 1.x 版与 MySQL 5.6 兼容。

当前支持的 Aurora MySQL 版本有 1.14.*、1.15.*、1.16.*、1.17.*、1.18.*、1.19.*、1.20.*、1.21.*、1.22.*、2.01.*、2.02.*、2.03.*、2.04.*、2.05.*、2.06.* 和 2.07.*。

您可以将快照从当前支持的 Aurora MySQL 版本还原到 Aurora MySQL 2.07.0。您也可以选择将现有的 Aurora MySQL 2.* 数据库集群升级到 Aurora MySQL 2.07.0。不能将现有的 Aurora MySQL 1.* 集群直接升级到 2.07.0,但是可以将其快照还原到 Aurora MySQL 2.07.0。

要使用较旧版本的 Aurora MySQL 创建集群,请通过 AWS 管理控制台、AWS CLI 或 RDS API 指定引擎版本。

注意

此版本目前在以下 AWS 区域中不可用:AWS GovCloud(美国东部) [us-gov-east-1]、AWS GovCloud (US-West) [us-gov-west-1]、中国 (宁夏) [cn-northwest-1]、亚太地区(香港) [ap-east-1]、中东(巴林) [me-south-1] 和 南美洲(圣保罗) [sa-east-1]。在提供后,将发布单独的公告。

如果您有任何问题或疑问,可通过社区论坛和 AWS Premium Support 联系 AWS Support。有关更多信息,请参阅维护 Amazon Aurora 数据库集群

注意

有关如何升级 Aurora MySQL 数据库集群的信息,请参阅 Amazon Aurora MySQL 的数据库升级和修补

改进

新功能:

  • 全局数据库现在允许为部署在以下 AWS 区域中的数据库集群添加辅助只读副本区域:美国东部(弗吉尼亚北部) [us-east-1]、美国东部(俄亥俄州) [us-east-2]、美国西部(加利福尼亚北部) [us-west-1]、美国西部(俄勒冈) [us-west-2]、欧洲(爱尔兰) [eu-west-1]、欧洲(伦敦) [eu-west-2]、欧洲(巴黎) [eu-west-3]、亚太区域(东京) [ap-northeast-1]、亚太区域(首尔) [ap-northeast-2]、亚太区域(新加坡) [ap-southeast-1]、亚太区域(悉尼) [ap-southeast-2]、加拿大 (中部) [ca-central-1]、欧洲(法兰克福) [eu-central-1] 和 亚太地区(孟买) [ap-south-1]。

  • Amazon Aurora 机器学习是 Aurora MySQL 数据库和 AWS 机器学习 (ML) 服务之间的高度优化集成。Aurora 机器学习允许开发人员使用他们已经用于数据库开发的熟悉的 SQL 编程语言调用 ML 模型,从而向其数据库应用程序中添加各种基于 ML 的预测,而无需构建自定义集成或另外学习工具。有关更多信息,请参阅在 Amazon Aurora 中使用机器学习 (ML) 功能

  • 在只读副本上增加了对 ANSI READ COMMITTED 隔离级别的支持。此隔离级别支持对只读副本执行长时间运行的查询,而不会影响写入器节点上写入的高吞吐量。有关更多信息,请参阅 Aurora MySQL 隔离级别

关键修复:

高优先级修复:

  • 修复了 DDL 恢复中导致数据库停机时间延长的问题。在执行多表 drop 语句之后变得不可用的集群(例如 DROP TABLE t1, t2, t3)应该更新到这个版本。

  • 修复了 DDL 恢复中导致数据库停机时间延长的问题。在执行 INPLACE ALTER TABLE DDL 语句之后变得不可用的集群应该更新到这个版本。

一般稳定性修复:

  • 修复了在 information_schema.replica_host_status 表中生成不一致数据的问题。

集成了 MySQL 社区版本错误修复

  • 错误 #26251621:INCORRECT BEHAVIOR WITH TRIGGER AND GCOL

  • 错误 #22574695:ASSERTION `!TABLE || (!TABLE->READ_SET || BITMAP_IS_SET(TABLE->READ_SET, FIEL

  • 错误 #25966845:INSERT ON DUPLICATE KEY GENERATE A DEADLOCK

  • 错误 #23070734:CONCURRENT TRUNCATE TABLES CAUSE STALL

  • 错误 #26191879:FOREIGN KEY CASCADES USE EXCESSIVE MEMORY

  • 错误 #20989615:INNODB AUTO_INCREMENT PRODUCES SAME VALUE TWICE

与 Aurora MySQL 版本 1 进行比较

以下 Amazon Aurora MySQL 功能在 Aurora MySQL 版本 1(兼容 MySQL 5.6)中受支持,但这些功能目前在 Aurora MySQL 版本 2(兼容 MySQL 5.7)中不受支持。

MySQL 5.7 兼容性

Aurora MySQL 2.07.0 与 MySQL 5.7 接口兼容并包含一些功能,例如,JSON 支持、空间索引和生成的列。Aurora MySQL 使用采用 z 顺序曲线的空间索引的本机实现,可以为空间数据集提供比 MySQL 5.7 高 20 多倍的写入性能以及高 10 多倍的读取性能。

Aurora MySQL 2.07.0 当前不支持以下 MySQL 5.7 功能:

  • 组复制插件

  • 增加的页面大小

  • InnoDB 缓冲池启动时加载

  • InnoDB 全文分析器插件

  • 多源复制

  • 在线缓冲池大小调整

  • 密码验证插件

  • 查询重写插件

  • 复制筛选

  • CREATE TABLESPACE SQL 语句